<?php
namespace Gath\Product;

use Webshop\Product\Product as WebshopProduct;

/**
 * Class Product
 *
 * @package Gath\Product
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath-product
 */
class Product extends WebshopProduct implements ProductInterface
{
    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id['id'] ?? 0;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->id['type'] ?? '';
    }

    /**
     * @return int
     */
    public function getDataLink(): int
    {
        return $this->id['data_link'] ?? 0;
    }
}