<?php
namespace Gath\Product;

use Webshop\Product\ProductInterface as WebshpProductInterface;

/**
 * Proizvod iz Gatha.
 *
 * @package Gath\Product
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath-product
 */
interface ProductInterface extends WebshpProductInterface
{
    /**
     * DataLink entiteta u Gathu.
     *
     * @return int
     */
    public function getDataLink(): int;
}